trusty/armhf Foreman builds failing without po_to_json

07/25/2016 05:25 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

po_to_json and fog-local gems are not being added to Debian packages built on Ubuntu 14.04 under armhf using Bundler 1.3.5,

causing a build failure:

Selecting previously unselected package bundler.

Preparing to unpack .../bundler_1.3.5-2ubuntu1_all.deb ...

Unpacking bundler (1.3.5-2ubuntu1) ...

[..]

/usr/bin/ruby2.0 /usr/bin/bundle pack --all

Fetching gem metadata from https://rubygems.org/........

Fetching gem metadata from https://rubygems.org/..

Resolving dependencies............................................................................

..................................................................................................

..................................................................................................

..................................................................................................

........................................................

Installing rake (11.2.2) 

Installing CFPropertyList (2.3.2) 

Installing ace-rails-ap (4.0.2) 

Installing i18n (0.7.0) 

Installing json (1.8.3) 

Installing minitest (5.1.0) 

Installing thread_safe (0.3.5) 

Installing tzinfo (1.2.2) 

Installing activesupport (4.2.6) 

Installing builder (3.2.2) 

Installing erubis (2.7.0) 

Installing mini_portile2 (2.1.0) 

Installing pkg-config (1.1.7) 

Installing nokogiri (1.6.8) 

Installing rails-deprecated_sanitizer (1.0.3) 

Installing rails-dom-testing (1.0.7) 

Installing loofah (2.0.3) 

Installing rails-html-sanitizer (1.0.3) 

Installing actionview (4.2.6) 

Installing rack (1.6.4) 

Installing rack-test (0.6.3) 

Installing actionpack (4.2.6) 

Installing globalid (0.3.6) 

Installing activejob (4.2.6) 

Installing mime-types-data (3.2016.0521) 

Installing mime-types (3.1) 

Installing mail (2.6.4) 

Installing actionmailer (4.2.6) 

Installing activemodel (4.2.6) 

Installing arel (6.0.3) 

Installing activerecord (4.2.6) 
Installing multi_json (1.12.1) 

Installing thor (0.19.1) 

Installing railties (4.2.6) 

Installing activerecord-session_store (1.0.0) 

Installing addressable (2.4.0) 

Installing ancestry (2.1.0) 

Installing apipie-rails (0.3.6) 

Installing ast (2.3.0) 

Installing rails-observers (0.1.2) 

Installing audited (4.2.0) 

Installing audited-activerecord (4.2.0) 

Installing extlib (0.9.16) 

Installing autoparse (0.3.3) 

Installing execjs (2.7.0) 

Installing autoprefixer-rails (5.2.1.3) 

Installing awesome_print (1.7.0) 

Installing sass (3.4.22) 

Installing bootstrap-sass (3.3.6) 

Installing uniform_notifier (1.10.0) 

Installing bullet (5.1.1) 

Using bundler (1.3.5) 

Installing xpath (2.0.0) 

Installing capybara (2.7.1) 

Installing ci_reporter (2.0.0) 

Installing ci_reporter_minitest (1.0.0) 

Installing cliver (0.3.2) 

Installing coderay (1.1.1) 

Installing coffee-script-source (1.10.0) 

Installing coffee-script (2.4.1) 

Installing coffee-rails (4.2.1) 

Installing concurrent-ruby (1.0.2) 

Installing css_parser (1.3.7) 

Installing database_cleaner (1.5.3) 

Installing deep_cloneable (2.2.1) 

Installing unf_ext (0.0.7.2) 

Installing unf (0.1.4) 

Installing domain_name (0.5.20160615) 

Installing excon (0.51.0) 

Installing facter (1.7.6) 

Installing factory_girl (4.7.0) 

Installing factory_girl_rails (4.7.0) 

Installing multipart-post (2.0.0) 

Installing faraday (0.9.2) 

Installing fast_gettext (1.1.0) 

Installing fission (0.5.0) 

Installing jquery-rails (3.1.4) 

Installing flot-rails (0.0.3) 

Installing formatador (0.2.5) 

Installing fog-core (1.42.0) 

Installing fog-json (1.0.2) 

Installing ipaddress (0.8.3) 

Installing xml-simple (1.1.5) 

Installing fog-aliyun (0.1.0) 

Installing fog-xml (0.1.2) 

Installing fog-atmos (0.1.0) 

Installing fog-aws (0.10.0) 

Installing inflecto (0.0.2) 

Installing fog-brightbox (0.11.0) 

Installing fog-cloudatcost (0.1.2) 

Installing fog-dynect (0.0.3) 

Installing fog-ecloud (0.3.0) 

Installing fog-google (0.1.0) 

Installing fog-openstack (0.1.8) 

Installing fog-powerdns (0.1.1) 

Installing fog-profitbricks (0.0.5) 

Installing fog-rackspace (0.1.1) 

Installing fog-radosgw (0.0.5) 
Installing fog-riakcs (0.1.0) 

Installing fog-sakuracloud (1.7.5) 

Installing fog-serverlove (0.1.2) 

Installing fog-softlayer (1.1.3) 

Installing fog-storm_on_demand (0.1.1) 

Installing fog-terremark (0.1.0) 

Installing fog-vmfusion (0.1.0) 

Installing fog-voxel (0.1.0) 

Installing trollop (2.1.2) 

Installing rbvmomi (1.8.2) 

Installing fog-vsphere (0.8.0) 

Installing fog-xenserver (0.2.3) 

Installing fog (1.38.0) 

Installing ruby-libvirt (0.6.0) 

Installing fog-libvirt (0.2.0) 

Installing font-awesome-sass (4.3.2.1) 

Installing friendly_id (5.1.0) 

Installing locale (2.1.2) 

Installing text (1.3.1) 

Installing gettext (3.2.2) 

Installing gettext_i18n_rails (1.7.2) 

Installing sprockets (3.7.0) 

Installing sprockets-rails (2.3.3) 

Installing rails (4.2.6) 

Installing gettext_i18n_rails_js (1.1.0) 

Installing jwt (1.5.4) 

Installing little-plugger (1.1.4) 

Installing logging (2.1.0) 

Installing memoist (0.14.0) 

Installing os (0.9.6) 

Installing signet (0.7.3) 

Installing googleauth (0.5.1) 

Installing launchy (2.4.3) 

Installing retriable (1.4.1) 

Installing google-api-client (0.8.6) 

Installing gridster-rails (0.5.6) 

Installing hirb (0.7.3) 

Installing unicode-display_width (1.1.0) 

Installing hirb-unicode-steakknife (0.0.7) 

Installing http-cookie (1.0.2) 

Installing immigrant (0.3.5) 

Installing ipaddrjs-rails (1.1.1) 

Installing turbolinks (2.5.3) 

Installing jquery-turbolinks (2.1.0) 

Installing jquery-ui-rails (4.2.1) 

Installing jquery_pwstrength_bootstrap_4 (1.2.2) 

Installing net-ldap (0.15.0) 

Installing ldap_fluff (0.4.3) 

Installing maruku (0.7.2) 

Installing metaclass (0.0.4) 

Installing method_source (0.8.2) 

Installing minitest-spec-rails (5.4.0) 

Installing mocha (1.1.0) 

Installing multi-select-rails (0.9.12) 

Installing mysql2 (0.4.4) 

Installing net-ssh (3.2.0) 

Installing net-scp (1.2.1) 

Installing netrc (0.11.0) 

Installing oauth (0.5.1) 

Installing paint (1.0.1) 

Installing parallel (1.9.0) 

Installing parallel_tests (2.7.0) 

Installing parser (2.3.1.2) 

Installing patternfly-sass (2.10.1) 

Installing pg (0.18.4) 

Installing websocket-extensions (0.1.2) 

Installing websocket-driver (0.6.4) 
Installing poltergeist (1.10.0) 

Installing powerpack (0.1.1) 

Installing protected_attributes (1.1.3) 

Installing slop (3.6.0) 

Installing pry (0.10.4) 

Installing quiet_assets (1.1.0) 

Installing rabl (0.12.0) 

Installing rack-jsonp (1.3.1) 

Installing ruby-openid (2.7.0) 

Installing rack-openid (1.4.2) 

Installing rails-i18n (4.0.9) 

Installing rainbow (2.1.0) 

Installing rest-client (2.0.0) 

Installing rbovirt (0.1.1) 

Installing responders (2.2.0) 

Installing roadie (3.1.1) 

Installing roadie-rails (1.1.1) 

Installing ruby-progressbar (1.8.1) 

Installing rubocop (0.39.0) 

Installing rubocop-checkstyle_formatter (0.2.0) 

Installing sexp_processor (4.7.0) 

Installing ruby_parser (3.8.2) 

Installing ruby2ruby (2.3.0) 

Installing safemode (1.2.4) 

Installing tilt (2.0.5) 

Installing sass-rails (5.0.5) 

Installing scoped_search (3.2.2) 

Installing secure_headers (1.4.1) 

Installing select2-rails (3.5.10) 

Installing shoulda-context (1.2.1) 

Installing shoulda-matchers (2.8.0) 

Installing show_me_the_cookies (3.1.0) 

Installing single_test (0.6.0) 

Installing spice-html5-rails (0.1.5) 

Installing spring (1.7.2) 

Installing sqlite3 (1.3.11) 

Installing sshkey (1.8.0) 

Installing test_after_commit (1.1.0) 

Installing uglifier (3.0.0) 

Installing underscore-rails (1.8.3) 

Installing validates_lengths_from_database (0.5.0) 

Installing will_paginate (3.1.0) 

Installing wirb (2.0.0) 

Installing x-editable-rails (1.5.5) 

Your bundle is complete!

Use `bundle show [gemname]` to see where a bundled gem is installed.

Updating files in vendor/cache

  * rake-11.2.2.gem

  * CFPropertyList-2.3.2.gem

  * ace-rails-ap-4.0.2.gem

  * i18n-0.7.0.gem

  * json-1.8.3.gem

  * minitest-5.1.0.gem

  * thread_safe-0.3.5.gem

  * tzinfo-1.2.2.gem

  * activesupport-4.2.6.gem

  * builder-3.2.2.gem

  * erubis-2.7.0.gem

  * mini_portile2-2.1.0.gem

  * pkg-config-1.1.7.gem

  * nokogiri-1.6.8.gem

  * rails-deprecated_sanitizer-1.0.3.gem

  * rails-dom-testing-1.0.7.gem

  * loofah-2.0.3.gem

  * rails-html-sanitizer-1.0.3.gem

  * actionview-4.2.6.gem

  * rack-1.6.4.gem
  * rack-test-0.6.3.gem

  * actionpack-4.2.6.gem

  * globalid-0.3.6.gem

  * activejob-4.2.6.gem

  * mime-types-data-3.2016.0521.gem

  * mime-types-3.1.gem

  * mail-2.6.4.gem

  * actionmailer-4.2.6.gem

  * activemodel-4.2.6.gem

  * arel-6.0.3.gem

  * activerecord-4.2.6.gem

  * multi_json-1.12.1.gem

  * thor-0.19.1.gem

  * railties-4.2.6.gem

  * activerecord-session_store-1.0.0.gem

  * addressable-2.4.0.gem

  * ancestry-2.1.0.gem

  * apipie-rails-0.3.6.gem

  * ast-2.3.0.gem

  * rails-observers-0.1.2.gem

  * audited-4.2.0.gem

  * audited-activerecord-4.2.0.gem

  * extlib-0.9.16.gem

  * autoparse-0.3.3.gem

  * execjs-2.7.0.gem

  * autoprefixer-rails-5.2.1.3.gem

  * awesome_print-1.7.0.gem

  * sass-3.4.22.gem

  * bootstrap-sass-3.3.6.gem

  * uniform_notifier-1.10.0.gem

  * bullet-5.1.1.gem

  * xpath-2.0.0.gem

  * capybara-2.7.1.gem

  * ci_reporter-2.0.0.gem

  * ci_reporter_minitest-1.0.0.gem

  * cliver-0.3.2.gem

  * coderay-1.1.1.gem

  * coffee-script-source-1.10.0.gem

  * coffee-script-2.4.1.gem

  * coffee-rails-4.2.1.gem

  * concurrent-ruby-1.0.2.gem

  * css_parser-1.3.7.gem

  * database_cleaner-1.5.3.gem

  * deep_cloneable-2.2.1.gem

  * unf_ext-0.0.7.2.gem

  * unf-0.1.4.gem

  * domain_name-0.5.20160615.gem

  * excon-0.51.0.gem

  * facter-1.7.6.gem

  * factory_girl-4.7.0.gem

  * factory_girl_rails-4.7.0.gem

  * multipart-post-2.0.0.gem

  * faraday-0.9.2.gem

  * fast_gettext-1.1.0.gem

  * fission-0.5.0.gem

  * jquery-rails-3.1.4.gem

  * flot-rails-0.0.3.gem

  * formatador-0.2.5.gem

  * fog-core-1.42.0.gem

  * fog-json-1.0.2.gem

  * ipaddress-0.8.3.gem

  * xml-simple-1.1.5.gem

  * fog-aliyun-0.1.0.gem

  * fog-xml-0.1.2.gem

  * fog-atmos-0.1.0.gem

  * fog-aws-0.10.0.gem

  * inflecto-0.0.2.gem
  * fog-brightbox-0.11.0.gem

  * fog-cloudatcost-0.1.2.gem

  * fog-dynect-0.0.3.gem

  * fog-ecloud-0.3.0.gem

  * fog-google-0.1.0.gem

  * fog-openstack-0.1.8.gem

  * fog-powerdns-0.1.1.gem

  * fog-profitbricks-0.0.5.gem

  * fog-rackspace-0.1.1.gem

  * fog-radosgw-0.0.5.gem

  * fog-riakcs-0.1.0.gem

  * fog-sakuracloud-1.7.5.gem

  * fog-serverlove-0.1.2.gem

  * fog-softlayer-1.1.3.gem

  * fog-storm_on_demand-0.1.1.gem

  * fog-terremark-0.1.0.gem

  * fog-vmfusion-0.1.0.gem

  * fog-voxel-0.1.0.gem

  * trollop-2.1.2.gem

  * rbvmomi-1.8.2.gem

  * fog-vsphere-0.8.0.gem

  * fog-xenserver-0.2.3.gem

  * fog-1.38.0.gem

  * ruby-libvirt-0.6.0.gem

  * fog-libvirt-0.2.0.gem

  * font-awesome-sass-4.3.2.1.gem

  * friendly_id-5.1.0.gem

  * locale-2.1.2.gem

  * text-1.3.1.gem

  * gettext-3.2.2.gem

  * gettext_i18n_rails-1.7.2.gem

  * sprockets-3.7.0.gem

  * sprockets-rails-2.3.3.gem

  * rails-4.2.6.gem

  * gettext_i18n_rails_js-1.1.0.gem

  * jwt-1.5.4.gem

  * little-plugger-1.1.4.gem

  * logging-2.1.0.gem

  * memoist-0.14.0.gem

  * os-0.9.6.gem

  * signet-0.7.3.gem

  * googleauth-0.5.1.gem

  * launchy-2.4.3.gem

  * retriable-1.4.1.gem

  * google-api-client-0.8.6.gem

  * gridster-rails-0.5.6.gem

  * hirb-0.7.3.gem

  * unicode-display_width-1.1.0.gem

  * hirb-unicode-steakknife-0.0.7.gem

  * http-cookie-1.0.2.gem

  * immigrant-0.3.5.gem

  * ipaddrjs-rails-1.1.1.gem

  * turbolinks-2.5.3.gem

  * jquery-turbolinks-2.1.0.gem

  * jquery-ui-rails-4.2.1.gem

  * jquery_pwstrength_bootstrap_4-1.2.2.gem

  * net-ldap-0.15.0.gem

  * ldap_fluff-0.4.3.gem

  * maruku-0.7.2.gem

  * metaclass-0.0.4.gem

  * method_source-0.8.2.gem

  * minitest-spec-rails-5.4.0.gem

  * mocha-1.1.0.gem

  * multi-select-rails-0.9.12.gem

  * mysql2-0.4.4.gem

  * net-ssh-3.2.0.gem

  * net-scp-1.2.1.gem
  * netrc-0.11.0.gem

  * oauth-0.5.1.gem

  * paint-1.0.1.gem

  * parallel-1.9.0.gem

  * parallel_tests-2.7.0.gem

  * parser-2.3.1.2.gem

  * patternfly-sass-2.10.1.gem

  * pg-0.18.4.gem

  * websocket-extensions-0.1.2.gem

  * websocket-driver-0.6.4.gem

  * poltergeist-1.10.0.gem

  * powerpack-0.1.1.gem

  * protected_attributes-1.1.3.gem

  * slop-3.6.0.gem

  * pry-0.10.4.gem

  * quiet_assets-1.1.0.gem

  * rabl-0.12.0.gem

  * rack-jsonp-1.3.1.gem

  * ruby-openid-2.7.0.gem

  * rack-openid-1.4.2.gem

  * rails-i18n-4.0.9.gem

  * rainbow-2.1.0.gem

  * rest-client-2.0.0.gem

  * rbovirt-0.1.1.gem

  * responders-2.2.0.gem

  * roadie-3.1.1.gem

  * roadie-rails-1.1.1.gem

  * ruby-progressbar-1.8.1.gem

  * rubocop-0.39.0.gem

  * rubocop-checkstyle_formatter-0.2.0.gem

  * sexp_processor-4.7.0.gem

  * ruby_parser-3.8.2.gem

  * ruby2ruby-2.3.0.gem

  * safemode-1.2.4.gem

  * tilt-2.0.5.gem

  * sass-rails-5.0.5.gem

  * scoped_search-3.2.2.gem

  * secure_headers-1.4.1.gem

  * select2-rails-3.5.10.gem

  * shoulda-context-1.2.1.gem

  * shoulda-matchers-2.8.0.gem

  * show_me_the_cookies-3.1.0.gem

  * single_test-0.6.0.gem

  * spice-html5-rails-0.1.5.gem

  * spring-1.7.2.gem

  * sqlite3-1.3.11.gem

  * sshkey-1.8.0.gem

  * test_after_commit-1.1.0.gem

  * uglifier-3.0.0.gem

  * underscore-rails-1.8.3.gem

  * validates_lengths_from_database-0.5.0.gem

  * will_paginate-3.1.0.gem

  * wirb-2.0.0.gem

  * x-editable-rails-1.5.5.gem

/usr/bin/ruby2.0 /usr/bin/bundle exec rake locale:pack assets:precompile RAILS_ENV=production

rake aborted!

Gem::LoadError: po_to_json is not part of the bundle. Add it to Gemfile.

/var/lib/gems/2.0.0/gems/gettext_i18n_rails_js-1.1.0/lib/gettext_i18n_rails_js.rb:29:in `<top (req

uired)>'

/var/lib/workspace/workspace/packaging_build_deb_coreproject/arch/armv7/label/debian/os/trusty/deb

ian/trusty/build-foreman/foreman-1.13.0/config/application.rb:36:in `<top (required)>'

/var/lib/workspace/workspace/packaging_build_deb_coreproject/arch/armv7/label/debian/os/trusty/deb

ian/trusty/build-foreman/foreman-1.13.0/Rakefile:1:in `require'

/var/lib/workspace/workspace/packaging_build_deb_coreproject/arch/armv7/label/debian/os/trusty/deb

ian/trusty/build-foreman/foreman-1.13.0/Rakefile:1:in `<top (required)>'

/var/lib/gems/2.0.0/gems/rake-11.2.2/exe/rake:27:in `<top (required)>'

(See full trace by running task with --trace)
 This started happening since #15681.

Updating Bundler to 1.7.4 in https://github.com/theforeman/foreman-packaging/pull/1241 didn't help.

History

#1 - 07/25/2016 05:26 AM - Dominic Cleal

- File issue15827_bundler_debug.log added

Attaching verbose/debug log from bundler 1.3.5, shows the gems are being searched for but not installed.

#2 - 08/23/2016 06:40 AM - Dominic Cleal

- Status changed from New to Rejected

- translation missing: en.field_release deleted (160)

Seems to have resolved itself, builds are passing again.

#3 - 09/13/2016 03:03 AM - Dominic Cleal

- Status changed from Rejected to New

Seems to have resolved itself, builds are passing again.

 Only intermittently.

#4 - 10/27/2016 08:46 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 10/27/2016 02:22 PM - Anonymous

- Status changed from Assigned to Closed

We dropped Ubuntu/trusty builds for armhf, as we couldn't solve this.

#6 - 11/01/2016 06:53 AM - Dominic Cleal

- Status changed from Closed to Rejected

Files

issue15827_bundler_debug.log 255 KB 07/25/2016 Dominic Cleal
